#
View Source Ash.Error.Forbidden.Policy exception (ash v2.14.2)

Raised when policy authorization for an action fails

# Link to this section Summary

## Functions

get_breakdown(facts, filter, policies, opts \\ [])

Print a report of an authorization failure from authorization information.

new(opts)
report(error, opts \\ [])

Print a report of an authorization failure from a forbidden error

# Link to this section Functions

Link to this function

# get_breakdown(facts, filter, policies, opts \\ [])

View Source

Print a report of an authorization failure from authorization information.

Options:

- `:help_text?`: Defaults to true. Displays help text at the top of the policy breakdown.
- `:success?`: Defaults to false. Changes the messaging/graphics around to indicate successful policy authorization.
- `:must_pass_strict_check?`: Defaults to false. Adds a message about this authorization requiring passing strict check.

Link to this function

# new(opts)

View Source
Link to this function

# report(error, opts \\ [])

View Source

Print a report of an authorization failure from a forbidden error

Options:

- `:help_text?`: Defaults to true. Displays help text at the top of the policy breakdown.